"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

var _IconButton = _interopRequireDefault(require("material-ui/IconButton"));

var _Tooltip = _interopRequireDefault(require("material-ui/Tooltip"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var button = function button(_ref) {
    var _ref$activeClass = _ref.activeClass,
        activeClass = _ref$activeClass === void 0 ? "" : _ref$activeClass,
        label = _ref.label,
        children = _ref.children,
        _ref$onClick = _ref.onClick,
        onClick = _ref$onClick === void 0 ? undefined : _ref$onClick,
        _ref$disabled = _ref.disabled,
        disabled = _ref$disabled === void 0 ? false : _ref$disabled,
        _ref$to = _ref.to,
        to = _ref$to === void 0 ? null : _ref$to;
    return _react.default.createElement(
        _Tooltip.default,
        {
            title: label
        },
        _react.default.createElement(
            _IconButton.default,
            {
                component: to ? _reactRouterDom.NavLink : "button",
                to: to,
                exact: to === "/",
                onClick: onClick,
                color: "inherit",
                activeStyle: {
                    backgroundColor: "skyblue"
                },
                disabled: disabled
            },
            children
        )
    );
};

var _default = button;
exports.default = _default;
