"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactRouterDom = require("react-router-dom");

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
}

var button = function button(_ref) {
    var type = _ref.type,
        children = _ref.children,
        _ref$onClick = _ref.onClick,
        onClick = _ref$onClick === void 0 ? undefined : _ref$onClick,
        _ref$disabled = _ref.disabled,
        disabled = _ref$disabled === void 0 ? false : _ref$disabled,
        _ref$submit = _ref.submit,
        submit = _ref$submit === void 0 ? false : _ref$submit,
        _ref$to = _ref.to,
        to = _ref$to === void 0 ? null : _ref$to;
    return _react.default.createElement(
        _Button.default,
        {
            component: to ? _reactRouterDom.Link : "button",
            to: to,
            onClick: onClick,
            variant: "raised",
            color: type,
            type: submit ? "submit" : "button",
            disabled: disabled
        },
        children
    );
};

var _default = button;
exports.default = _default;
